summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorMax <msuraev@sysmocom.de>2018-01-22 11:03:41 +0100
committerMax <msuraev@sysmocom.de>2018-01-22 11:03:41 +0100
commit1239cabeea55f30c516d1ddd496d6893a9a78695 (patch)
tree1cd2657d188cd459c7722e713917f576af6840b3
parentf086d63c1358d1c791b774dc3ef0e602c7c95813 (diff)
cosmetic: remove wrapper script
The jenkins.sh is just a tiny wrapper around coverity_Osmocom.sh - let's remove this unnecessary indirection and move the code directly to jenkins.sh Change-Id: Iead3b8f39327f1d0dd80e12a9d38563c35701993
-rwxr-xr-xcoverity/coverity_Osmocom.sh38
-rwxr-xr-xcoverity/jenkins.sh40
2 files changed, 38 insertions, 40 deletions
diff --git a/coverity/coverity_Osmocom.sh b/coverity/coverity_Osmocom.sh
deleted file mode 100755
index 33d4fa5..0000000
--- a/coverity/coverity_Osmocom.sh
+++ /dev/null
@@ -1,38 +0,0 @@
-#!/usr/bin/env bash
-
-set -e -x
-
-base_dir="$PWD"
-src_dir="$base_dir/source-Osmocom"
-cov_dir="$src_dir/cov-int"
-
-rm -rf "$src_dir"
-./prepare_source_Osmcocom.sh
-
-export PATH="$base_dir/cov-analysis-linux64-8.5.0/bin/:$PATH"
-
-rm -rf "$cov_dir"
-cov-build --dir "$cov_dir" ./build_Osmocom.sh
-
-cd "$src_dir"
-rm -f Osmocom.tgz
-tar czf Osmocom.tgz cov-int
-
-# Don't leak the token to jenkins build logs, but still log the call:
-# First compose the call to echo, then run with token inserted by 'eval'.
-set +x
-
-curl_cmd='curl \
- --form token="$token" \
- --form email=holger@freyther.de --form file=@Osmocom.tgz \
- --form version=Version --form description=AutoUpload \
- https://scan.coverity.com/builds?project=Osmocom'
-echo "$curl_cmd"
-
-token="$($base_dir/get_token.sh $base_dir/tokens.txt Osmocom)"
-if [ -z "$token" ]; then
- echo "TOKEN IS EMPTY"
- exit 1
-fi
-
-eval "$curl_cmd"
diff --git a/coverity/jenkins.sh b/coverity/jenkins.sh
index 9adfe99..33d4fa5 100755
--- a/coverity/jenkins.sh
+++ b/coverity/jenkins.sh
@@ -1,2 +1,38 @@
-#!/bin/sh
-./coverity_Osmocom.sh
+#!/usr/bin/env bash
+
+set -e -x
+
+base_dir="$PWD"
+src_dir="$base_dir/source-Osmocom"
+cov_dir="$src_dir/cov-int"
+
+rm -rf "$src_dir"
+./prepare_source_Osmcocom.sh
+
+export PATH="$base_dir/cov-analysis-linux64-8.5.0/bin/:$PATH"
+
+rm -rf "$cov_dir"
+cov-build --dir "$cov_dir" ./build_Osmocom.sh
+
+cd "$src_dir"
+rm -f Osmocom.tgz
+tar czf Osmocom.tgz cov-int
+
+# Don't leak the token to jenkins build logs, but still log the call:
+# First compose the call to echo, then run with token inserted by 'eval'.
+set +x
+
+curl_cmd='curl \
+ --form token="$token" \
+ --form email=holger@freyther.de --form file=@Osmocom.tgz \
+ --form version=Version --form description=AutoUpload \
+ https://scan.coverity.com/builds?project=Osmocom'
+echo "$curl_cmd"
+
+token="$($base_dir/get_token.sh $base_dir/tokens.txt Osmocom)"
+if [ -z "$token" ]; then
+ echo "TOKEN IS EMPTY"
+ exit 1
+fi
+
+eval "$curl_cmd"